.agent-state-directive {

    display: flex;
    align-items: center;

    @media @sidebar {
      margin-left: 5px;
      padding-top: 4px;
      width: 20px;

      & > :not(#agent-state-menu) {
        display: none;
      }
    }

    .dropdown-menu {
        margin: 5px 0;
        padding: 7px;
        overflow-y: auto;
        max-height: 500px;
    }
    
    margin-left:8px;
    & > a {
        color: #fff;
        text-decoration: none;
        cursor:pointer;
        display:inline-block;
        padding-left: 8px;

        @media @sidebar {
          padding-left: 0px;
          pointer-events: none;
        }
    }
    .fa {
        width:20px;
        height:20px;
        border-radius:10px;
        text-align:center;
        padding-top:5px;
        margin-right: 2px;
        font-size: 0.85em;
        &.fa-power-off {
            padding-left: 1px;
        }
    }

    .agent-state-cause, .agent-state-name {
        @media @sidebar {
          display: none;
        }
    }

    .agent-state-cause {
      display: inline-block;
      max-width: 115px;
      text-overflow: ellipsis;
      overflow: hidden;
      vertical-align: top;
      white-space: nowrap;
    }
    
    .status-item {
        display: inline-block;
        max-width: 260px; 
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
        vertical-align: top;
    }

    .agent-state-time {
      font-size: 12px;
      letter-spacing: 1px;

      @media @sidebar {
        display: none;
      }
    }

    ul {
        color:#000;
        background: #f2f2f2;
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);

        li {
            a {
              padding: 5px 14px;
            }
            span {
              padding-left: 5px;
            }
            &:hover, a:hover {
                background-color: @agent-menu-dark-gray;
                color: #fff;
            }
            .fa {
                color: #fff;

            }
            
        }
    }
    
    
    .input-group {
       padding-bottom: 8px;

       input {
        border-top-left-radius: 30px;
        border-bottom-left-radius: 30px;
        background-color: #ffffff;
        height: 24px;
        border-color: #d3d3d3;
        border-right: #fff;
        padding-left: 16px;

        &:focus {
          outline: none;
          box-shadow: none;
        }
       }

    }

    .input-group-addon {
      padding: 0px 0px;
      padding-right: 8px;
      font-size: 15px;
      color: #d0d2d3;
      text-align: center;
      background-color: #fff;
      border-top-right-radius: 30px;
      border-bottom-right-radius: 30px;
      border-color: #d3d3d3;
      box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
      cursor: default;
    }  

    .form-control {
      height: 30px; 
      font-size: 12px; 
      padding: 4px 8px; 
    }

    .form-control::placeholder {
      text-transform: none; 
    }
    
    .clear-input {
      position: absolute;
      right: 50px;
      top: 1px;
      z-index: 5;
      color: #aaaaaa;
      cursor: pointer;

      &:hover {
        text-decoration: none;
        color: #5e5e5e;
      }
    }
  }